Loading...
Searching...
No Matches
RDKit::MolStandardize::TautomerEnumeratorCallback Class Referenceabstract

`#include <Tautomer.h>`

## Public Member Functions

| TautomerEnumeratorCallback ()
virtual | ~TautomerEnumeratorCallback ()
virtual bool | operator() (const ROMol &, const TautomerEnumeratorResult &)=0

## Detailed Description

Definition at line 234 of file MolStandardize/Tautomer.h.

## Constructor & Destructor Documentation

## TautomerEnumeratorCallback()

RDKit::MolStandardize::TautomerEnumeratorCallback::TautomerEnumeratorCallback | ( |  | ) |

inline

Definition at line 236 of file MolStandardize/Tautomer.h.

## ~TautomerEnumeratorCallback()

virtual RDKit::MolStandardize::TautomerEnumeratorCallback::~TautomerEnumeratorCallback | ( |  | ) |

inline virtual

Definition at line 237 of file MolStandardize/Tautomer.h.

## Member Function Documentation

## operator()()

virtual bool RDKit::MolStandardize::TautomerEnumeratorCallback::operator() | ( | const ROMol & | ,
|  | const TautomerEnumeratorResult & |
| ) |  |

pure virtual

The documentation for this class was generated from the following file:

- MolStandardize/Tautomer.h